
Name:           async-http-client
Version:        1.7.19
Release:        %mkrel 1
Summary:        Asynchronous Http Client for Java
Group:          Development/Java
License:        ASL 2.0
URL:            https://github.com/AsyncHttpClient/%{name}
Source0:        https://github.com/AsyncHttpClient/%{name}/archive/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.guava:guava)
BuildRequires:  mvn(commons-httpclient:commons-httpclient)
BuildRequires:  mvn(commons-lang:commons-lang)
BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(io.netty:netty)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.sonatype.oss:oss-parent)
BuildRequires:  mvn(org.apache.maven.plugins:maven-shade-plugin)
# Test dependencies
BuildRequires:  mvn(commons-fileupload:commons-fileupload)


%description
Async Http Client library purpose is to allow Java applications to
easily execute HTTP requests and asynchronously process the HTTP
responses. The Async HTTP Client library is simple to use.


%package javadoc
Summary:   API documentation for %{name}
Group:     Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{name}-%{version}

# Remove test deps
%pom_remove_dep ch.qos.logback:logback-classic
%pom_remove_dep org.eclipse.jetty:jetty-websocket
%pom_remove_dep org.eclipse.jetty:jetty-servlets
%pom_remove_dep org.eclipse.jetty:jetty-server
%pom_remove_dep org.eclipse.jetty:jetty-servlet
%pom_remove_dep org.eclipse.jetty:jetty-security
%pom_remove_dep org.apache.tomcat:coyote
%pom_remove_dep org.apache.tomcat:catalina

# Remove tests that we can't build because of missing dependencies
# Some tests require jetty 8 or tomcat 6
rm -Rf src/test/java/com/ning/http/client/async
rm -Rf src/test/java/com/ning/http/client/websocket

# Remove things for which we are missing dependencies
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-gitsite']]"
%pom_xpath_remove "pom:profiles/pom:profile[pom:id[text()='grizzly']]"

# Animal sniffer is causing more trouble than good
%pom_remove_plugin :animal-sniffer-maven-plugin

%build
%mvn_build

%install
%mvn_install


%files -f .mfiles
%doc README.md LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt




%changelog
* Sun Sep 29 2013 dmorgan <dmorgan> 1.7.19-1.mga4
+ Revision: 488830
- New version

* Thu Sep 26 2013 dmorgan <dmorgan> 1.7.12-1.mga4
+ Revision: 486708
- New version
- New version

* Fri Sep 20 2013 dmorgan <dmorgan> 1.7.11-2.mga4
+ Revision: 482645
- Rebuild against new javapackages

* Tue Sep 17 2013 dmorgan <dmorgan> 1.7.11-1.mga4
+ Revision: 481023
- New upstream version 1.7.11
- New version
- New version

* Thu Jul 11 2013 dmorgan <dmorgan> 1.7.9-1.mga4
+ Revision: 452935
- New version

* Fri Jan 11 2013 umeabot <umeabot> 1.7.8-2.mga3
+ Revision: 346490
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 1.7.8-1.mga3
+ Revision: 326399
- New version

* Tue Sep 11 2012 dmorgan <dmorgan> 1.6.1-3.mga3
+ Revision: 292271
- BR maven-enforcer-plugin

* Wed Apr 27 2011 dmorgan <dmorgan> 1.6.1-2.mga1
+ Revision: 92254
- Rebuild after bootstrapping
- imported package async-http-client


* Fri Feb 25 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6.1-1
- Update to latest upstream

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 26 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4.1-2
- Add maven-shade-plugin to BR

* Mon Jan 17 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4.1-1
- Initial version

